import org.snmp4j.*;
import org.snmp4j.event.*;
import org.snmp4j.transport.*;
import org.snmp4j.smi.*;

import java.io.*;

public class MainClass {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws IOException {
		//Define community target		
		CommunityTarget target = new CommunityTarget();
		Address targetaddress = new UdpAddress("10.124.10.187/161");
        target.setAddress(targetaddress);
        target.setCommunity(new OctetString("public"));
        target.setTimeout(1000);
        target.setVersion(0);
        target.setRetries(1);
        
        //Define SNMP request
        PDU pdu = new PDU();
        pdu.setType(PDU.GET);
        pdu.add(new VariableBinding(new OID("1.3.6.1.2.1.1.1.0")));

        //Define transport mapping
        TransportMapping transport = new DefaultUdpTransportMapping();
        transport.listen();
        
        //The actual snmp request
        try
        {
	        Snmp snmp = new Snmp(transport);
	        ResponseEvent respEv = snmp.send(pdu, target);
	        PDU response = respEv.getResponse();
	        System.out.println(response);
        }
        catch (Exception e)
        {
        	System.out.println("Error in SNMP communication");
        }
	}
}

